<?php



$tdatallg = array();
$tdatallg[".searchableFields"] = array();
$tdatallg[".ShortName"] = "llg";
$tdatallg[".OwnerID"] = "";
$tdatallg[".OriginalTable"] = "llg";


$defaultPages = my_json_decode( "{\"add\":\"add\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"search\":\"search\"}" );

$tdatallg[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" );
$tdatallg[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" ) );
$tdatallg[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsllg = array();
$fieldToolTipsllg = array();
$pageTitlesllg = array();
$placeHoldersllg = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsllg["English"] = array();
	$fieldToolTipsllg["English"] = array();
	$placeHoldersllg["English"] = array();
	$pageTitlesllg["English"] = array();
	$fieldLabelsllg["English"]["LLG"] = "LLG";
	$fieldToolTipsllg["English"]["LLG"] = "";
	$placeHoldersllg["English"]["LLG"] = "";
	$fieldLabelsllg["English"]["District"] = "District";
	$fieldToolTipsllg["English"]["District"] = "";
	$placeHoldersllg["English"]["District"] = "";
	$fieldLabelsllg["English"]["Province"] = "Province";
	$fieldToolTipsllg["English"]["Province"] = "";
	$placeHoldersllg["English"]["Province"] = "";
	if (count($fieldToolTipsllg["English"]))
		$tdatallg[".isUseToolTips"] = true;
}


	$tdatallg[".NCSearch"] = true;



$tdatallg[".shortTableName"] = "llg";
$tdatallg[".nSecOptions"] = 0;

$tdatallg[".mainTableOwnerID"] = "";
$tdatallg[".entityType"] = 0;

$tdatallg[".strOriginalTableName"] = "llg";

	



$tdatallg[".showAddInPopup"] = false;

$tdatallg[".showEditInPopup"] = false;

$tdatallg[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatallg[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatallg[".listAjax"] = false;
//	temporary
$tdatallg[".listAjax"] = false;

	$tdatallg[".audit"] = false;

	$tdatallg[".locking"] = false;


$pages = $tdatallg[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatallg[".edit"] = true;
	$tdatallg[".afterEditAction"] = 1;
	$tdatallg[".closePopupAfterEdit"] = 1;
	$tdatallg[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatallg[".add"] = true;
$tdatallg[".afterAddAction"] = 1;
$tdatallg[".closePopupAfterAdd"] = 1;
$tdatallg[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatallg[".list"] = true;
}

$tdatallg[".updateSelected"] = true;


$tdatallg[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatallg[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatallg[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatallg[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatallg[".printFriendly"] = true;
}



$tdatallg[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatallg[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatallg[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatallg[".isUseAjaxSuggest"] = true;

$tdatallg[".rowHighlite"] = true;



						

$tdatallg[".ajaxCodeSnippetAdded"] = false;

$tdatallg[".buttonsAdded"] = false;

$tdatallg[".addPageEvents"] = false;

// use timepicker for search panel
$tdatallg[".isUseTimeForSearch"] = false;




$tdatallg[".allSearchFields"] = array();
$tdatallg[".filterFields"] = array();
$tdatallg[".requiredSearchFields"] = array();

$tdatallg[".googleLikeFields"] = array();
$tdatallg[".googleLikeFields"][] = "LLG";
$tdatallg[".googleLikeFields"][] = "District";
$tdatallg[".googleLikeFields"][] = "Province";



$tdatallg[".tableType"] = "list";

$tdatallg[".printerPageOrientation"] = 0;
$tdatallg[".nPrinterPageScale"] = 100;

$tdatallg[".nPrinterSplitRecords"] = 40;

$tdatallg[".geocodingEnabled"] = false;










$tdatallg[".pageSize"] = 20;

$tdatallg[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatallg[".strOrderBy"] = $tstrOrderBy;

$tdatallg[".orderindexes"] = array();

$tdatallg[".sqlHead"] = "SELECT LLG,  	District,  	Province";
$tdatallg[".sqlFrom"] = "FROM llg";
$tdatallg[".sqlWhereExpr"] = "";
$tdatallg[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatallg[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatallg[".arrGroupsPerPage"] = $arrGPP;

$tdatallg[".highlightSearchResults"] = true;

$tableKeysllg = array();
$tdatallg[".Keys"] = $tableKeysllg;


$tdatallg[".hideMobileList"] = array();




//	LLG
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "LLG";
	$fdata["GoodName"] = "LLG";
	$fdata["ownerTable"] = "llg";
	$fdata["Label"] = GetFieldLabel("llg","LLG");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "LLG";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "LLG";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatallg["LLG"] = $fdata;
		$tdatallg[".searchableFields"][] = "LLG";
//	District
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "District";
	$fdata["GoodName"] = "District";
	$fdata["ownerTable"] = "llg";
	$fdata["Label"] = GetFieldLabel("llg","District");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "District";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "District";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatallg["District"] = $fdata;
		$tdatallg[".searchableFields"][] = "District";
//	Province
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Province";
	$fdata["GoodName"] = "Province";
	$fdata["ownerTable"] = "llg";
	$fdata["Label"] = GetFieldLabel("llg","Province");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Province";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Province";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatallg["Province"] = $fdata;
		$tdatallg[".searchableFields"][] = "Province";


$tables_data["llg"]=&$tdatallg;
$field_labels["llg"] = &$fieldLabelsllg;
$fieldToolTips["llg"] = &$fieldToolTipsllg;
$placeHolders["llg"] = &$placeHoldersllg;
$page_titles["llg"] = &$pageTitlesllg;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["llg"] = array();
//	Sholarhips Data Entry Template
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Sholarhips Data Entry Template";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Sholarhips_Data_Entry_Template";
	$detailsParam["dCaptionTable"] = GetTableCaption("Sholarhips_Data_Entry_Template");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["llg"][$dIndex] = $detailsParam;

	
		$detailsTablesData["llg"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["masterKeys"][]="Province";

				$detailsTablesData["llg"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["detailKeys"][]="ProvinceOfBirth";
//	LiveApplicationTemplate
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationTemplate";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationTemplate";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationTemplate");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["llg"][$dIndex] = $detailsParam;

	
		$detailsTablesData["llg"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["masterKeys"][]="Province";

				$detailsTablesData["llg"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["detailKeys"][]="ProvinceOfBirth";
//	LiveApplicationNew
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationNew";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationNew";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationNew");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["llg"][$dIndex] = $detailsParam;

	
		$detailsTablesData["llg"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["masterKeys"][]="Province";

				$detailsTablesData["llg"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["detailKeys"][]="ProvinceOfBirth";
//	SholarhipsAdmin
	
	

		$dIndex = 3;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="SholarhipsAdmin";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "SholarhipsAdmin";
	$detailsParam["dCaptionTable"] = GetTableCaption("SholarhipsAdmin");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["llg"][$dIndex] = $detailsParam;

	
		$detailsTablesData["llg"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["masterKeys"][]="Province";

				$detailsTablesData["llg"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["llg"][$dIndex]["detailKeys"][]="ProvinceOfBirth";

// tables which are master tables for current table (detail)
$masterTablesData["llg"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_llg()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "LLG,  	District,  	Province";
$proto0["m_strFrom"] = "FROM llg";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "LLG",
	"m_strTable" => "llg",
	"m_srcTableName" => "llg"
));

$proto6["m_sql"] = "LLG";
$proto6["m_srcTableName"] = "llg";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "District",
	"m_strTable" => "llg",
	"m_srcTableName" => "llg"
));

$proto8["m_sql"] = "District";
$proto8["m_srcTableName"] = "llg";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Province",
	"m_strTable" => "llg",
	"m_srcTableName" => "llg"
));

$proto10["m_sql"] = "Province";
$proto10["m_srcTableName"] = "llg";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "llg";
$proto13["m_srcTableName"] = "llg";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "LLG";
$proto13["m_columns"][] = "District";
$proto13["m_columns"][] = "Province";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "llg";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "llg";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="llg";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_llg = createSqlQuery_llg();


	
		;

			

$tdatallg[".sqlquery"] = $queryData_llg;

$tableEvents["llg"] = new eventsBase;
$tdatallg[".hasEvents"] = false;

?>